<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateRequest StructType
 * @subpackage Structs
 */
class UpdateRequest extends AbstractStructBase
{
    /**
     * The record
     * @var \StructType\Record
     */
    public $record;
    /**
     * Constructor method for UpdateRequest
     * @uses UpdateRequest::setRecord()
     * @param \StructType\Record $record
     */
    public function __construct(\StructType\Record $record = null)
    {
        $this
            ->setRecord($record);
    }
    /**
     * Get record value
     * @return \StructType\Record|null
     */
    public function getRecord()
    {
        return $this->record;
    }
    /**
     * Set record value
     * @param \StructType\Record $record
     * @return \StructType\UpdateRequest
     */
    public function setRecord(\StructType\Record $record = null)
    {
        $this->record = $record;
        return $this;
    }
}
